import { post } from '@/api/request'
export default {
  // 练习题试卷
  subject: query => post(`/staff/practise/${query.practise}/get_next_practise/`, query.query),//请求题目
  submit: query => post(`/staff/practise/${query}/submit_practise/`),//交卷
  // 模拟考试试卷
  mock_subject: query => post(`/staff/mock/exam_log/${query.practise}/get_next_practise/`, query.query),//请求题目
  mock_submit: query => post(`/staff/mock/exam_log/${query}/submit_practise/`), //交卷

  // 正式考试试卷
  formal_subject: query => post(`/staff/exam/exam_log/${query.practise}/get_next_practise/`, query.query),//请求题目
  formal_submit: query => post(`/staff/exam/exam_log/${query}/submit_practise/`), //交卷

  // 反馈
  exam_error: query => post("/staff/exam/feedback/", query)
}